diff --git a/src/packages/fff/fff-boardname/files/etc/uci-defaults/50-fff-boardname b/src/packages/fff/fff-boardname/files/etc/uci-defaults/50-fff-boardname
index 5470405..1d87ded 100644
--- a/src/packages/fff/fff-boardname/files/etc/uci-defaults/50-fff-boardname
+++ b/src/packages/fff/fff-boardname/files/etc/uci-defaults/50-fff-boardname
@@ -63,5 +63,22 @@ case "$BOARD" in
         ;;
 esac
 
-uci set board.model.name=$BOARD
-uci commit board
+NETWORK="$BOARD"
+case "$NETWORK" in
+    tl-wr1043nd-v3)
+        NETWORK=tl-wr1043nd-v2
+        ;;
+    tl-wr841-v10|tl-wr841-v11|tl-wr841-v12)
+        NETWORK=tl-wr841-v9
+        ;;
+    ubnt-bullet-m|ubnt-unifi|ubnt-loco-m-xw)
+        NETWORK=ubnt-oneport
+        ;;
+    tl-wdr3600-v1|tl-wdr4310-v1)
+        NETWORK=tl-wdr4300-v1
+        ;;
+esac
+
+uci -q set "board.model.name=$BOARD"
+uci -q set "board.model.net=$NETWORK"
+uci -q commit board
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-wdr3600-v1 b/src/packages/fff/fff-network/ar71xx/network.tl-wdr3600-v1
deleted file mode 100644
index 897152e..0000000
--- a/src/packages/fff/fff-network/ar71xx/network.tl-wdr3600-v1
+++ /dev/null
@@ -1,8 +0,0 @@
-WANDEV=eth0
-SWITCHDEV=eth0
-CLIENT_PORTS="0t 4 5"
-WAN_PORTS="0t 1"
-BATMAN_PORTS="0t 2 3"
-
-ETHMESHMAC=
-ROUTERMAC=w5mesh
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-wdr4310-v1 b/src/packages/fff/fff-network/ar71xx/network.tl-wdr4310-v1
deleted file mode 100644
index 897152e..0000000
--- a/src/packages/fff/fff-network/ar71xx/network.tl-wdr4310-v1
+++ /dev/null
@@ -1,8 +0,0 @@
-WANDEV=eth0
-SWITCHDEV=eth0
-CLIENT_PORTS="0t 4 5"
-WAN_PORTS="0t 1"
-BATMAN_PORTS="0t 2 3"
-
-ETHMESHMAC=
-ROUTERMAC=w5mesh
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-wr1043nd-v3 b/src/packages/fff/fff-network/ar71xx/network.tl-wr1043nd-v3
deleted file mode 100644
index 6dd4674..0000000
--- a/src/packages/fff/fff-network/ar71xx/network.tl-wr1043nd-v3
+++ /dev/null
@@ -1,8 +0,0 @@
-WANDEV=eth0
-SWITCHDEV=eth0
-CLIENT_PORTS="1 2 6t"
-WAN_PORTS="5 6t"
-BATMAN_PORTS="3 4 6t"
-
-ETHMESHMAC=
-ROUTERMAC=eth1
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-wr841-v10 b/src/packages/fff/fff-network/ar71xx/network.tl-wr841-v10
deleted file mode 100644
index 4d22fde..0000000
--- a/src/packages/fff/fff-network/ar71xx/network.tl-wr841-v10
+++ /dev/null
@@ -1,10 +0,0 @@
-PORTORDER="4 3 2 1"
-
-WANDEV=eth1
-SWITCHDEV=eth0
-CLIENT_PORTS="1 2 0t"
-WAN_PORTS=
-BATMAN_PORTS="3 4 0t"
-
-ETHMESHMAC=eth1
-ROUTERMAC=eth0
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-wr841-v11 b/src/packages/fff/fff-network/ar71xx/network.tl-wr841-v11
deleted file mode 100644
index 4d22fde..0000000
--- a/src/packages/fff/fff-network/ar71xx/network.tl-wr841-v11
+++ /dev/null
@@ -1,10 +0,0 @@
-PORTORDER="4 3 2 1"
-
-WANDEV=eth1
-SWITCHDEV=eth0
-CLIENT_PORTS="1 2 0t"
-WAN_PORTS=
-BATMAN_PORTS="3 4 0t"
-
-ETHMESHMAC=eth1
-ROUTERMAC=eth0
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-wr841-v12 b/src/packages/fff/fff-network/ar71xx/network.tl-wr841-v12
deleted file mode 100644
index 4d22fde..0000000
--- a/src/packages/fff/fff-network/ar71xx/network.tl-wr841-v12
+++ /dev/null
@@ -1,10 +0,0 @@
-PORTORDER="4 3 2 1"
-
-WANDEV=eth1
-SWITCHDEV=eth0
-CLIENT_PORTS="1 2 0t"
-WAN_PORTS=
-BATMAN_PORTS="3 4 0t"
-
-ETHMESHMAC=eth1
-ROUTERMAC=eth0
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-wr841-v9 b/src/packages/fff/fff-network/ar71xx/network.tl-wr841-v9
index 1d3f146..4d22fde 100644
--- a/src/packages/fff/fff-network/ar71xx/network.tl-wr841-v9
+++ b/src/packages/fff/fff-network/ar71xx/network.tl-wr841-v9
@@ -1,3 +1,5 @@
+PORTORDER="4 3 2 1"
+
 WANDEV=eth1
 SWITCHDEV=eth0
 CLIENT_PORTS="1 2 0t"
diff --git a/src/packages/fff/fff-network/ar71xx/network.ubnt-bullet-m b/src/packages/fff/fff-network/ar71xx/network.ubnt-bullet-m
deleted file mode 100644
index 307a201..0000000
--- a/src/packages/fff/fff-network/ar71xx/network.ubnt-bullet-m
+++ /dev/null
@@ -1,11 +0,0 @@
-WANDEV=eth0
-SWITCHDEV=eth0
-CLIENT_PORTS=""
-WAN_PORTS=""
-BATMAN_PORTS=""
-ONE_PORT="YES"
-
-. /etc/network.mode
-
-ETHMESHMAC=
-ROUTERMAC=w2mesh
\ No newline at end of file
diff --git a/src/packages/fff/fff-network/ar71xx/network.ubnt-loco-m-xw b/src/packages/fff/fff-network/ar71xx/network.ubnt-loco-m-xw
deleted file mode 100644
index 307a201..0000000
--- a/src/packages/fff/fff-network/ar71xx/network.ubnt-loco-m-xw
+++ /dev/null
@@ -1,11 +0,0 @@
-WANDEV=eth0
-SWITCHDEV=eth0
-CLIENT_PORTS=""
-WAN_PORTS=""
-BATMAN_PORTS=""
-ONE_PORT="YES"
-
-. /etc/network.mode
-
-ETHMESHMAC=
-ROUTERMAC=w2mesh
\ No newline at end of file
diff --git a/src/packages/fff/fff-network/ar71xx/network.ubnt-oneport b/src/packages/fff/fff-network/ar71xx/network.ubnt-oneport
new file mode 100644
index 0000000..307a201
--- /dev/null
+++ b/src/packages/fff/fff-network/ar71xx/network.ubnt-oneport
@@ -0,0 +1,11 @@
+WANDEV=eth0
+SWITCHDEV=eth0
+CLIENT_PORTS=""
+WAN_PORTS=""
+BATMAN_PORTS=""
+ONE_PORT="YES"
+
+. /etc/network.mode
+
+ETHMESHMAC=
+ROUTERMAC=w2mesh
\ No newline at end of file
diff --git a/src/packages/fff/fff-network/ar71xx/network.ubnt-unifi b/src/packages/fff/fff-network/ar71xx/network.ubnt-unifi
deleted file mode 100644
index 307a201..0000000
--- a/src/packages/fff/fff-network/ar71xx/network.ubnt-unifi
+++ /dev/null
@@ -1,11 +0,0 @@
-WANDEV=eth0
-SWITCHDEV=eth0
-CLIENT_PORTS=""
-WAN_PORTS=""
-BATMAN_PORTS=""
-ONE_PORT="YES"
-
-. /etc/network.mode
-
-ETHMESHMAC=
-ROUTERMAC=w2mesh
\ No newline at end of file
diff --git a/src/packages/fff/fff-network/files/usr/sbin/configurenetwork b/src/packages/fff/fff-network/files/usr/sbin/configurenetwork
index d4866e4..eb4a3ef 100755
--- a/src/packages/fff/fff-network/files/usr/sbin/configurenetwork
+++ b/src/packages/fff/fff-network/files/usr/sbin/configurenetwork
@@ -11,7 +11,7 @@
 
 . /lib/functions/fff/network
 
-BOARD="$(uci get board.model.name)"
+BOARD="$(uci get board.model.net)"
 . /etc/network.$BOARD
 
 if [ -s /etc/network.config ] ; then
diff --git a/src/packages/fff/fff-support/files/usr/sbin/show_info b/src/packages/fff/fff-support/files/usr/sbin/show_info
index 1e7c498..61323f4 100755
--- a/src/packages/fff/fff-support/files/usr/sbin/show_info
+++ b/src/packages/fff/fff-support/files/usr/sbin/show_info
@@ -2,7 +2,7 @@
 
 . /etc/firmware_release
 
-board_name=$(uci -q get board.model.name)
+board_name=$(uci -q get board.model.net)
 
 HOSTNAME=$(uci -q get 'system.@system[0].hostname')
 
diff --git a/src/packages/fff/fff-web/files/www/ssl/cgi-bin/ports.html b/src/packages/fff/fff-web/files/www/ssl/cgi-bin/ports.html
index 5912126..e9ae231 100755
--- a/src/packages/fff/fff-web/files/www/ssl/cgi-bin/ports.html
+++ b/src/packages/fff/fff-web/files/www/ssl/cgi-bin/ports.html
@@ -1,7 +1,7 @@
 #!/usr/bin/haserl
 
 <%
-board_name=$(uci -q get board.model.name)
+board_name=$(uci -q get board.model.net)
 # write
 if [ "$REQUEST_METHOD" == "POST" ] ; then
 	if [ "$POST_change_mode" != "" ] ; then
